> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hookstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List notification channels

` GET /notification-channels `

List notification channels

## Servers

- ` https://hookstream.io/v1 ` — Production

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key (format: hs_live_<64hex> or hs_test_<64hex>)

### Alternative 2

- ` cookieAuth `: ` apiKey `

  - Credential: ` better-auth.session_token ` in ` cookie `

  - Session cookie (browser auth)

## Responses

### ` 200 ` — List of notification channels

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` channels `

  - ` channels `: type ` array `

    - ` array item `: type ` object `; nullable

      - Required fields: ` id `, ` org_id `, ` env_id `, ` name `, ` channel_type `, ` config `, ` enabled `, ` last_sent_at `, ` error_count `, ` last_error `, ` created_at `, ` updated_at `

      - ` id `: type ` string `

      - ` org_id `: type ` string `

      - ` env_id `: type ` string `

      - ` name `: type ` string `

      - ` channel_type `: type ` string `

      - ` config `: type ` string `

      - ` enabled `: type ` integer `

      - ` last_sent_at `: type ` string `; nullable

      - ` error_count `: type ` integer `

      - ` last_error `: type ` string `; nullable

      - ` created_at `: type ` string `

      - ` updated_at `: type ` string `

### ` 401 ` — Unauthorized

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` error `

  - ` error `: type ` string ` — Error message

## Request examples

### cURL

```curl
curl -X GET 'https://hookstream.io/v1/notification-channels' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
```

### JavaScript

```javascript
const response = await fetch('https://hookstream.io/v1/notification-channels', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/notification-channels', headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/notification-channels", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
```